import { SimpleLocalIntegration } from '../../core/index.js';
import { TplinkOmadaConfigFlow } from './tplink_omada.classes.configflow.js';
import { createTplinkOmadaDiscoveryDescriptor } from './tplink_omada.discovery.js';
import type { ITplinkOmadaConfig } from './tplink_omada.types.js';
import { tplinkOmadaDomain, tplinkOmadaProfile } from './tplink_omada.types.js';

export class TplinkOmadaIntegration extends SimpleLocalIntegration<ITplinkOmadaConfig> {
  public readonly domain = tplinkOmadaDomain;
  public readonly discoveryDescriptor = createTplinkOmadaDiscoveryDescriptor();
  public readonly configFlow = new TplinkOmadaConfigFlow();

  constructor() {
    super(tplinkOmadaProfile);
  }
}

export class HomeAssistantTplinkOmadaIntegration extends TplinkOmadaIntegration {}
